Post Details
curl --request POST \
--url https://api.datamagnet.co/api/v1/post \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"url": "<string>"
}
'import requests
url = "https://api.datamagnet.co/api/v1/post"
payload = { "url": "<string>" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({url: '<string>'})
};
fetch('https://api.datamagnet.co/api/v1/post', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": {
"post_text": "We're growing the Product team! We're looking for a talented PM to help us drive subscription revenue. Check out the link below if you fit the bill.",
"post_link": "https://www.linkedin.com/feed/update/urn:li:activity:7219434359085252608",
"article_component": {
"title": "ExampleCo - Senior Product Manager",
"subtitle": "jobs.lever.co",
"navigation_context": "https://jobs.lever.co/example/12345",
"small_image": "https://media.licdn.com/dms/image/..."
},
"links_in_post": [],
"actor": {
"actor_image": "https://media.licdn.com/dms/image/...",
"actor_description": "VP of Product at ExampleCo",
"actor_name": "John Smith",
"actor_sub_description": "1yr • Edited • ",
"actor_link": "https://www.linkedin.com/in/johnsmith..."
},
"header": {
"header_image": "https://media.licdn.com/dms/image/...",
"header_navigation_link": "https://www.linkedin.com/feed/update/urn:li:activity:...",
"header_text": "Product Community reposted this"
},
"is_repost": true,
"social_count": {
"num_likes": 124,
"num_comments": 11,
"num_shares": 13,
"reaction_type_counts": [
{
"count": 108,
"reaction_type": "LIKE"
},
{
"count": 10,
"reaction_type": "PRAISE"
},
{
"count": 4,
"reaction_type": "EMPATHY"
}
]
},
"posted_at": "2024-07-17T20:14:41.000Z",
"posted_ago": "1yr • Edited • ",
"urn": "urn:li:activity:7219434359085252608",
"reactions_urn": "urn:li:activity:7219379021761916928",
"comments_urn": "urn:li:fsd_socialDetail:(urn:li:activity:7219379021761916928,urn:li:activity:7219434359085252608,urn:li:highlightedReply:-)",
"reposts_urn": "urn:li:activity:7219379021761916928"
},
"credit_used": 1
}
Post Details
Retrieve detailed information about a single LinkedIn post by URL, including author, content, media, engagement counts, and publish timestamp.
POST
/
api
/
v1
/
post
Post Details
Cost:1 credit / successful request.
This endpoint retrieves comprehensive details about a single LinkedIn post, including the post text, author information, social engagement metrics, attachments, and repost information.
Post details endpoint
This endpoint allows you to get full details of any LinkedIn post by providing its URL.Required attributes
string
required
The LinkedIn post URL. Supports multiple URL formats:
https://www.linkedin.com/posts/username_slug-activity-7430615551086850048-XXXXhttps://www.linkedin.com/posts/username_slug-ugcPost-7430527985071595520-XXXXhttps://www.linkedin.com/feed/update/urn:li:activity:7430615551086850048
Response
{
"message": {
"post_text": "We're growing the Product team! We're looking for a talented PM to help us drive subscription revenue. Check out the link below if you fit the bill.",
"post_link": "https://www.linkedin.com/feed/update/urn:li:activity:7219434359085252608",
"article_component": {
"title": "ExampleCo - Senior Product Manager",
"subtitle": "jobs.lever.co",
"navigation_context": "https://jobs.lever.co/example/12345",
"small_image": "https://media.licdn.com/dms/image/..."
},
"links_in_post": [],
"actor": {
"actor_image": "https://media.licdn.com/dms/image/...",
"actor_description": "VP of Product at ExampleCo",
"actor_name": "John Smith",
"actor_sub_description": "1yr • Edited • ",
"actor_link": "https://www.linkedin.com/in/johnsmith..."
},
"header": {
"header_image": "https://media.licdn.com/dms/image/...",
"header_navigation_link": "https://www.linkedin.com/feed/update/urn:li:activity:...",
"header_text": "Product Community reposted this"
},
"is_repost": true,
"social_count": {
"num_likes": 124,
"num_comments": 11,
"num_shares": 13,
"reaction_type_counts": [
{
"count": 108,
"reaction_type": "LIKE"
},
{
"count": 10,
"reaction_type": "PRAISE"
},
{
"count": 4,
"reaction_type": "EMPATHY"
}
]
},
"posted_at": "2024-07-17T20:14:41.000Z",
"posted_ago": "1yr • Edited • ",
"urn": "urn:li:activity:7219434359085252608",
"reactions_urn": "urn:li:activity:7219379021761916928",
"comments_urn": "urn:li:fsd_socialDetail:(urn:li:activity:7219379021761916928,urn:li:activity:7219434359085252608,urn:li:highlightedReply:-)",
"reposts_urn": "urn:li:activity:7219379021761916928"
},
"credit_used": 1
}
The post details model
Properties
object
The post details payload.
Show Post object
Show Post object
Post Content
string
The full text content of the post.
string
Direct LinkedIn URL to the post.
string
ISO 8601 timestamp when the post was created.
string
Human-readable time since the post was created.
string
Unique LinkedIn URN identifier for the post.
boolean
Whether this post is a repost of another post.
array
List of URLs found in the post text.
Author
object
Article Attachment
object
Repost Header
object
Social Engagement
object
Engagement metrics for the post.
Show Social count object
Show Social count object
Related URNs
string
URN to use for fetching reactions via the Post Reactions endpoint.
string
URN to use for fetching comments via the Post Comments endpoint.
string
URN to use for fetching reposts via the Post Reposts endpoint.
integer
Number of credits consumed by this request.
Was this page helpful?
⌘I